Description

The processing tools will only produce a shapfile set instead of GPX, KML or SQLITE format. When GPX is selected as an output, this

error appears:

Oooops! The following output layers could not be open

Subunits: .../Flightplanning/Routes/su_RuahaC-3s-1.gpx

The above files could not be opened, which probably indicates that they were not correctly produced by the executed algorithm

In the output directory, there is a set of su_RuahaC-3s-1.gpx.shp, *.gpx.dbf, etc. files, or *.kml.shp, etc. in the case of trying a KML output.

Selecting a temporary file output produces no error, creating a shapefile in a temporary directory.

Tested on MacOS X 10.9, QGIS 2.4 and 2.6, and got the same problem with trying to output GPX, KML and SQLITE.

History

#1 - 2014-11-05 01:02 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Processing/GDAL

Hi Howard,

are you referring to the "Convert format" tool?

I just tested here on Linux and Windows and when outputting a temporary layer the result is in the expected format, not a shapefile.

In case of choosing to output a non temporary result then it still works ok. However there is an annoying aspect: after choosing the format you want to

output in the "destination format" dropdown, the use must choose also the same format after clicking "save to file" when is asked to choose a name/place

where to save the output.

Not sure if/how we can fix this, but anyway seems more an annoyance rather then a serious bug.

PS

To test I used the point layer you attached yesterday in the other gpx related ticket, and got gpx files as output.

#2 - 2014-11-05 01:02 AM - Giovanni Manghi
ps

also tested kml and sqlite, same as above.

#3 - 2014-11-05 01:05 AM - Paolo Cavallini

Yes, this is one of the many improvements of the new Processing. Perhaps you have an old version masking to recent one?

#4 - 2014-11-05 01:17 AM - Giovanni Manghi

Paolo Cavallini wrote:

Yes, this is one of the many improvements of the new Processing. Perhaps you have an old version masking to recent one?

do you refer to the necessity to choose twice the output format?

I certainly do not have an old processing installation masking the most recent one, and this (small) problem still there.

#5 - 2014-11-05 01:22 AM - Howard Frederick

Paolo Cavallini wrote:

Yes, this is one of the many improvements of the new Processing. Perhaps you have an old version masking to recent one?

My Processing version shows as 2.2.0-2.

#6 - 2014-11-05 01:35 AM - Paolo Cavallini

That's it. Please remove it, and use the stock one (2.6).

#7 - 2014-11-05 02:21 AM - Howard Frederick

Paolo Cavallini wrote:

That's it. Please remove it, and use the stock one (2.6).

Right - have done an 'rm -rf ~/.qgis2/python/plugins', reinstalled QGIS from the package installer - now I have Processing 2.6 indicated.

However - same symptoms! Asking for .GPX produces *.GPX.shp, etc.

#8 - 2014-11-05 02:26 AM - Giovanni Manghi

Howard Frederick wrote:

Paolo Cavallini wrote:
That's it. Please remove it, and use the stock one (2.6).

Right - have done an 'rm -rf ~/.qgis2/python/plugins', reinstalled QGIS from the package installer - now I have Processing 2.6 indicated.

However - same symptoms! Asking for .GPX produces *.GPX.shp, etc.

if any, here it creates a .shp.gpx file when outputting to a temp file, but outputting not to a temp file then the result is a .gpx file.

Maybe is a OsX thing, I tested on Linux and Windows.

#9 - 2014-11-06 11:14 AM - Howard Frederick

Maybe is a OsX thing, I tested on Linux and Windows.

Perhaps - will try to test this on another Mac tomorrow, definitely still an issue here.

#10 - 2014-11-07 11:07 AM - Giovanni Manghi

Howard Frederick wrote:

Maybe is a OsX thing, I tested on Linux and Windows.

Perhaps - will try to test this on another Mac tomorrow, definitely still an issue here.

maybe better try a Windows or Linux installation and see if there are differences.

#11 - 2015-01-16 12:18 AM - Howard Frederick

- Status changed from Feedback to Closed

No longer an issue on QGIS 2.6.1, OS X.

Select GPX as output correctly creates .GPX instead of .gpx.shp fileset.

#12 - 2015-06-05 06:22 AM - Bernd Vogelgesang

- Status changed from Closed to Reopened

On Linux Mint, trying to save as SQLITE still produces a .sqlite.shp file.

GPX seems to work.

QGIS 2.8.2, Processing 2.9.3

Ah, just saw: when trying to create a test.sqlite, the filename in the input field gets constructed as test.sqlit <- e missing! Thats why its created as

test.sqlit.shp. Adding an e to the file extension produces an sqlite file.
#13 - 2015-06-07 12:58 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Reopened to Closed

Bernd Vogelgesang wrote:

On Linux Mint, trying to save as SQLITE still produces a .sqlite.shp file.

GPX seems to work.

QGIS 2.8.2, Processing 2.9.3

Ah, just saw: when trying to create a test.sqlite, the filename in the input field gets constructed as test.sqlit <- e missing! Thats why its created as

test.sqlit.shp. Adding an e to the file extension produces an sqlite file.

see #10264
